using Modules.Library.Domain.Entities.MediaContent.Items.Anime;
namespace Modules.Library.Application.Gateways;

public interface IAnimeSeasonGateway
{

    //public Task<List<Models.Anime.Title>> GetList();
    //public Task<Models.Anime.Title> GetDetail(Guid id);

    public Task<Guid> Create(Guid titleId, AnimeSeason season);
    public Task Update(Guid titleId, AnimeSeason season);

    public Task Delete(Guid id, AnimeSeason season);
}